Code::Blocks

User forums => General (but related to Code::Blocks) => Topic started by: konstantinua00 on August 30, 2020, 01:36:56 am

Title: Code::Blocks in ubuntu software needs an update
Post by: konstantinua00 on August 30, 2020, 01:36:56 am
I don't know where to put this (I don't know this forum yet), so this thread is in General

Currently, if you're on Ubuntu, you go into "Ubuntu Software", search for Code::Blocks and install it, you get the 
Quote
Release 16.01 rev 10692 (2016-01-23 15:52:29) gcc 7.2.0 Linux/unicode - 64 bit
version.

I hope it can be updated, so that by default people wouldn't use 4-year old version that is somewhat buggy.
Title: Re: Code::Blocks in ubuntu software needs an update
Post by: konstantinua00 on August 30, 2020, 01:41:02 am
http://wiki.codeblocks.org/index.php?title=Compiled_packages_of_Code::Blocks (http://wiki.codeblocks.org/index.php?title=Compiled_packages_of_Code::Blocks) was last updated in 2012
Title: Re: Code::Blocks in ubuntu software needs an update
Post by: stahta01 on August 30, 2020, 04:12:22 am
I don't know where to put this (I don't know this forum yet), so this thread is in General

Currently, if you're on Ubuntu, you go into "Ubuntu Software", search for Code::Blocks and install it, you get the 
Quote
Release 16.01 rev 10692 (2016-01-23 15:52:29) gcc 7.2.0 Linux/unicode - 64 bit
version.

I hope it can be updated, so that by default people wouldn't use 4-year old version that is somewhat buggy.

The Ubuntu people build that; i suggest asking them to update it.

NOTE: Do not ask till you figure out what release of Ubuntu you are using!

Because the newest release has a newer CB than you reported.


Tim S.
Title: Re: Code::Blocks in ubuntu software needs an update
Post by: oBFusCATed on August 30, 2020, 09:29:13 am
For ubuntu releases before 20.04 you can use this PPA: https://launchpad.net/~codeblocks-devs/+archive/ubuntu/release